=== debian/changelog ===
dvrescue (0.20.05-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000
