## dvrescue 24.07.20251013

=== debian/changelog ===
dvrescue (24.07.20251013-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <Info@MediaArea.net>  Tue, 01 Jan 2019 01:00:00 +0000
